Subject: bug#65445: 29.1; Android emacs: False memory full condition, due to Java exception (?)

From: Johan Widén <[email-masked]>
Date: Tue, 22 Aug 2023 09:09:10 +0200

I now ran
  adb logcat -d | grep ...
and got the enclosed log lines, which seems to be from today, not from
the time of my bug report.
But it is for emacs.

Den tis 22 aug. 2023 kl 08:51 skrev Po Lu <[email-masked]>:
>
> Johan Widén <[email-masked]> writes:
>
> > I used emacs swiper to search for "out of memory" but found nothing.
> > This was in the dumpstate*.txt file fetched by
> >   adb bugreport org.gnu.emacs
>
> Perhaps the log buffer has been rotated past the point of the error.
> Also, I believe adb bugreport only includes log messages after a crash:
> since Emacs is capable of recovering from these faux ``out of memory''
> errors, the message printed may not appear within generated bug reports.
>
> How about:
>
>   (adb) logcat | grep -A10 "Possible out of memory"
>
> ?

-- 
Johan Widén, tel: +46705367346
Risvägen 5 A, 192 73 Sollentuna, SWEDEN